NetworkCollection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Interface NetworkCollection

All Superinterfaces:
  Transport

    public interface NetworkCollection

extends Transport

This interface represents a collection of networks on a `Transport`. This information is carried in the DVB SI NIT or US Cable SI (A56) NIT tables. `NetworkCollection` may be optionally implemented by `Transport` objects, depending on the SI data carried on that transport.

See Also:
  Optionally implemented interfaces

Method Summary
`void` | `addNetworkChangeListener(NetworkChangeListener listener)` Registers a `NetworkChangeListener` to be notified of changes to a `Network` that is part of this `NetworkCollection`.
`void` | `removeNetworkChangeListener(NetworkChangeListener listener)` Called to unregister an `NetworkChangeListener`.
`SIRequest` | `retrieveNetwork(Locator locator, SIRequestor requestor)` Retrieves the specified `Network` from the collection.
`SIRequest` | `retrieveNetworks(SIRequestor requestor)` Retrieves an array of all the `Network` objects in this `NetworkCollection`.

Methods inherited from interface javax.tv.service.transport.Transport
`addServiceDetailsChangeListener, getDeliverySystemType, removeServiceDetailsChangeListener`

Method Detail

### retrieveNetwork

    SIRequest retrieveNetwork(Locator locator,
                              SIRequestor requestor)
                              throws InvalidLocatorException,
                                     SecurityException

  Retrieves the specified `Network` from the collection.

  This method delivers its results asynchronously.

  Parameters:
    `locator` - Locator referencing the `Network` of interest.
    `requestor` - The `SIRequestor` to be notified when this retrieval operation completes.
  Returns:
    An `SIRequest` object identifying this asynchronous retrieval request.
  Throws:
    `InvalidLocatorException` - If `locator` does not reference a valid network.
    `SecurityException` - If the caller does not have `javax.tv.service.ReadPermission(locator)`.
  See Also:
    `Network`, `ReadPermission`

### retrieveNetworks

    SIRequest retrieveNetworks(SIRequestor requestor)

  Retrieves an array of all the `Network` objects in this `NetworkCollection`. The array will only contain `Network` instances `n` for which the caller has `javax.tv.service.ReadPermission(n.getLocator())`. If no `Network` instances meet this criteria, this method will result in an `SIRequestFailureType` of `DATA_UNAVAILABLE`.

  This method delivers its results asynchronously.

  Parameters:
    `requestor` - The `SIRequestor` to be notified when this retrieval operation completes.
  Returns:
    An `SIRequest` object identifying this asynchronous retrieval request.
  See Also:
    `Network`, `ReadPermission`

### addNetworkChangeListener

    void addNetworkChangeListener(NetworkChangeListener listener)

  Registers a `NetworkChangeListener` to be notified of changes to a `Network` that is part of this `NetworkCollection`. Subsequent notification is made via `NetworkChangeEvent` with this `NetworkCollection` as the event source and an `SIChangeType` of `ADD`, `REMOVE` or `MODIFY`. Only changes to `Network` instances `n` for which the caller has `javax.tv.service.ReadPermission(n.getLocator())` will be reported.

  This method is only a request for notification. No guarantee is provided that the SI database will detect all, or even any, SI changes or whether such changes will be detected in a timely fashion.

  If the specified `NetworkChangeListener` is already registered, no action is performed.

  Parameters:
    `listener` - A `NetworkChangeListener` to be notified about changes related to `Network` carried on this `Transport`.
  See Also:
    `NetworkChangeEvent`, `ReadPermission`

### removeNetworkChangeListener

    void removeNetworkChangeListener(NetworkChangeListener listener)

  Called to unregister an `NetworkChangeListener`. If the specified `NetworkChangeListener` is not registered, no action is performed.

  Parameters:
    `listener` - A previously registered listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD